<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     CommandResolver
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * Die Schnittstelle fuer CommandResolver.
 * 
 * Ein CommamndResolver ist ein Objekt welches anhand
 * eines uebergebenes Request-Objektes ein passendes
 * Comamnd-Objekt ermittelt. Ein ComamndResolver muss
 * mindestens die Methode CommandResolver::getCommand()
 * implementieren.
 *
 * @category    MVClasses
 * @package 	CommandResolver
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link        http://www.sven-space.de/code/php/MVClasses
 */
interface CommandResolver {
    /**
     * Ermittelt anhand des uebergebenen Requestobjektes
     * das passende Command-Objekt.
     *
     * @access	public
     * @param	Request $r
     * @return 	Command
     */
    public function getCommand(Request $r);
}