<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     Commands
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

 /**
  * @see Command
  */
require_once dirname(__FILE__)."/Command.php";

/**
 * Ermittelt den User-Agent und gibt ihn aus.
 *
 * Dieses Comamnd ermittelt anhand des Request-Objektes
 * den User-Agent von welchem der Request kommt und gibt
 * dieses ueber Response-Objekt aus.
 *
 * @category    MVClasses
 * @package     Commands
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link	http://www.sven-space.de/code/php/MVClasses
 */
class BrowserInfoCommand implements Command {
    /**
     * Fuehrt das Command aus.
     *
     * @access 	public
     * @param	Request $req
     * @param	Response $res
     */
    public function execute(Request $req, Response $res) {
        $view = new TemplateView(dirname(__FILE__)."/../Views/BrowserInfo.php");
        $view->assign("browser", $req->getHeader(HttpRequest::HTTP_HEADER_USER_AGENT));
        $view->render($req, $res);
    }
}