<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     Commands
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * @see HttpRequest
 */
require_once dirname(__FILE__)."/../RequestResponse/Http/HttpRequest.php";
/**
 * @see HttpResponse
 */
require_once dirname(__FILE__)."/../RequestResponse/Http/HttpResponse.php";
/**
 * @see TemplateView
 */
require_once dirname(__FILE__)."/../TemplateView/TemplateView.php";

/**
 * Schnittstelle fuer Commands.
 * 
 * Ein Command realisiert eine Teil der Controller Seite
 * des MVC-Patterns.
 * 
 * Ein Command-Objekt fuehrt eine konkrete Aktion aus. Ein
 * Command verfuegt nur ueber eine oeffentliche Methode um
 * das Comamnd auszufuehren.
 * 
 * @category    MVClasses
 * @package     Commands
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link	http://www.sven-space.de/code/php/MVClasses
 */
interface Command {
	/**
	 * Fuehrt das jeweilige Commmand an den uebergebenen
	 * Request- und Response-Objekten aus.
	 *
	 * @access	public
	 * @param	Request $req
	 * @param	Response $res
	 */
	public function execute(Request $req, Response $res);
}