<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     Commands
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

 /**
  * @see Command
  */
require_once dirname(__FILE__)."/Command.php";

/**
 * HelloWorldCommand gibt eine Begruessung aus.
 * 
 * Das HelloWorldCommand erwartet vom uebergebenen Request-Objekt
 * einen Parameter name udn gibt eine Willkiommensbotschaft an das
 * Response-Objekt. Fals der name-Parameter nicht gesetzt ist wird
 * als Name "Unbekannter" ausgegeben.
 * 
 * @category    MVClasses
 * @package     Commands
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link	http://www.sven-space.de/code/php/MVClasses
 */
class HelloWorldCommand implements Command {
    /**
     * Fuehrt das Command aus.
     *
     * @access 	public
     * @param	Request $req
     * @param	Response $res
     */
    public function execute(Request $req, Response $res) {
        $view = new TemplateView(dirname(__FILE__)."/../Views/HelloWorld.php");

        if ($req->issetParameter("name", HttpRequest::GLOBALS_GET)) {
            $view->assign("name", $req->getParameter("name"));
        } else {
            $view->assign("name", "Unbekannter");
        }

        $view->render($req, $res);
    }
}