<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     Registry
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * Enter description here...
 *
 * Longdesc
 *
 * @todo complete description
 *
 * @category    MVClasses
 * @package 	Registry
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link        http://www.sven-space.de/code/php/MVClasses
 */
class Registry {
    const KEY_REQUEST = "request";
    const KEY_RESPONSE = "response";

    protected static $_instance;
    protected $_values;

    protected function __construct() {
        $this->_values = array();
    }

    public function setRequest(Request $r) {
        $this->_set(self::KEY_REQUEST, $r);
    }

    public function getRequest() {
        return $this->_get(self::KEY_REQUEST);
    }

    public function setResponse(Response $r) {
        $this->_set(self::KEY_RESPONSE, $r);
    }

    public function retResponse() {
        return $this->_get(self::KEY_RESPONSE);
    }

    public static function getInstance() {
        if (null === self::$_instance) {
            self::$_instance = new Registry();
        }

        return self::$_instance;
    }

    protected function _set($key, $value) {
        $this->_values[$key] = $value;
    }

    protected function _get($key) {
        if (isset($this->_values[$key])) {
            return $this->_values[$key];
        }

        return null;
    }

    protected function __clone() {}
}