<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     RequestResponse
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * Die Schnittstelle Beschreibt ein Client-Request.
 * 
 * Longdesc
 *
 * @todo complete description
 * 
 * @category    MVClasses
 * @package 	RequestResponse
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link        http://www.sven-space.de/code/php/MVClasses
 */
interface Request {
    /**
     * Gibt die Parameternamen zurueck.
     *
     * @access 	public
     * @return 	array
     */
    public function getParameterNames();
    /**
     * Gibt zurueck ob ein Parameter existiert.
     *
     * @access	public
     * @param	string $name
     * @return 	boolean
     */
    public function issetParameter($name);
    /**
     * Gibt den Wert eines Parameters zurueck.
     *
     * @access	public
     * @param	string $name
     * @return 	mixed
     */
    public function getParameter($name);
    /**
     * Gibt einen Headder-Wert zurueck.
     *
     * @access 	public
     * @param	string $name
     * @return 	string
     */
    public function getHeader($name);
    /**
     * Gibt Authentifizierungsdaten zurueck:
     * array(
     *   'username' => "username",
     *   'password' => "password"
     * );
     *
     * @access 	public
     * @return 	array
     */
    public function getAuthData();
    /**
     * Gibt die IP-Adresse des Clients zurueck.
     *
     * @access 	public
     * @return 	string
     */
    public function getRemoteAddress();
}