<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     MVClasses
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * @see HttpRequest
 */
require_once dirname(__FILE__) . '/classes/RequestResponse/Http/HttpRequest.php';
/**
 * @see HttpResponse
 */
require_once dirname(__FILE__) . '/classes/RequestResponse/Http/HttpResponse.php';
/**
 * @see FileSystemCommandResolver
 */
require_once dirname(__FILE__) . '/classes/CommandResolver/FileSystemCommandResolver.php';
/**
 * @see FrontController
 */
require_once dirname(__FILE__) . '/classes/Controller/FrontController.php';
/**
 * @see HttpAuthFilter
 */
require_once dirname(__FILE__) . '/classes/Filter/HttpAuthFilter.php';
/**
 * @see UpperCaseFilter
 */
require_once dirname(__FILE__) . '/classes/Filter/UpperCaseFilter.php';
/**
 * @see EventDispatcher
 */
require_once dirname(__FILE__) . '/classes/Event/EventDispatcher.php';
/**
 * @see AuthLoggingHandler
 */
require_once dirname(__FILE__) . '/classes/Event/EventHandler/AuthLoggingHandler.php';
/**
 * @see IpBlockHandler
 */
require_once dirname(__FILE__) . '/classes/Event/EventHandler/IpBlockHandler.php';

// some event handlers
$logins   = new AuthLoggingHandler(dirname(__FILE__) . '/logs/logins.log');
$ip_block = new IpBlockHandler(array('192.168.1.1'));
// registering event handlers
$dispatcher = EventDispatcher::getInstance();
$dispatcher->addHandler('onInvalidLogin', $logins);
$dispatcher->addHandler('onLogin', $ip_block);
$dispatcher->addHandler('onLogin', $logins);
// get the command resolver
$resolver   = new FileSystemCommandResolver(dirname(__FILE__) . '/classes/Commands', 'HelloWorld');
// and set to the front controller
$controller = new FrontController($resolver);
// some test users for auth filter
$users = array(
    'sven' => "test1234",
    'test' => "test"
);
// add the authentication filter
$controller->addPreFilter(new HttpAuthFilter($users));
// add a uppercase filter
$controller->addPostFilter(new UpperCaseFilter());
// dispatch request
$controller->handleRequest(new HttpRequest(), new HttpResponse());